
package jp.riken.brain.ni.samuraigraph.figure;

import jp.riken.brain.ni.samuraigraph.base.SGData;
import jp.riken.brain.ni.samuraigraph.base.SGDrawingWindow;
import jp.riken.brain.ni.samuraigraph.base.SGIFigureElement;
import jp.riken.brain.ni.samuraigraph.data.SGIVXYTypeData;


/**
 * Figure for the two-dimensional vector-type data.
 * 
 */
public class SGVXYFigure extends SGXYFigure implements SGIFigureTypeConstants
{

	public static final float DEFAULT_WIDTH = 9.0f;
	public static final float DEFAULT_HEIGHT = DEFAULT_WIDTH;


//	/**
//	 *
//	 */
//	public SGVXYFigure()
//	{
//		super();
//	}



	/**
	 *
	 */
	public SGVXYFigure( final SGDrawingWindow wnd )
	{
		super( wnd );
	}


	/**
	 * 
	 */
	public String getClassType()
	{
		return FIGURE_TYPE_VXY;
	}


	/**
	 * 
	 */
	protected boolean createDialog()
	{
		final SGXYFigureDialog dg = new SGXYFigureDialog( this.mWnd, true );
		this.mDialog = dg;
		return true;

	}


	/**
	 * 
	 */
	public boolean addData(
		final SGData data, final String name, final SGIFigureElement[] array )
	{
		if( ( data instanceof SGIVXYTypeData ) == false )
		{
			return false;
		}
		if( super.addData(data,name,array) == false )
		{
			return false;
		}
		
		return true;
	}


}

